## org.apache.commons.configuration
Class SystemConfiguration

    java.lang.Object
      org.apache.commons.configuration.event.EventSource
          org.apache.commons.configuration.AbstractConfiguration
              org.apache.commons.configuration.MapConfiguration
                  org.apache.commons.configuration.SystemConfiguration

All Implemented Interfaces:
  Cloneable, Configuration

    public class SystemConfiguration

extends MapConfiguration

A configuration based on the system properties.

Since:
  1.1
Version:
  $Revision: 439648 $, $Date: 2006-09-02 22:42:10 +0200 (Sa, 02 Sep 2006) $
Author:
  Emmanuel Bourg

Field Summary

Fields inherited from class org.apache.commons.configuration.MapConfiguration
`map`

Fields inherited from class org.apache.commons.configuration.AbstractConfiguration
`END_TOKEN, EVENT_ADD_PROPERTY, EVENT_CLEAR, EVENT_CLEAR_PROPERTY, EVENT_SET_PROPERTY, START_TOKEN`

Constructor Summary
`SystemConfiguration()` Create a Configuration based on the system properties.

Method Summary

Methods inherited from class org.apache.commons.configuration.MapConfiguration
`addPropertyDirect, clearPropertyDirect, clone, containsKey, getKeys, getMap, getProperty, isEmpty`

Methods inherited from class org.apache.commons.configuration.AbstractConfiguration

`addProperty, clear, clearProperty, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getBoolean, getByte, getByte, getByte, getDefaultListDelimiter, getDelimiter, getDouble, getDouble, getDouble, getFloat, getFloat, getFloat, getInt, getInt, getInteger, getKeys, getList, getList, getListDelimiter, getLong, getLong, getLong, getProperties, getProperties, getShort, getShort, getShort, getString, getString, getStringArray, interpolate, interpolate, interpolateHelper, isDelimiterParsingDisabled, isThrowExceptionOnMissing, resolveContainerStore, setDefaultListDelimiter, setDelimiter, setDelimiterParsingDisabled, setListDelimiter, setProperty, setThrowExceptionOnMissing, subset`

Methods inherited from class org.apache.commons.configuration.event.EventSource
`addConfigurationListener, clearConfigurationListeners, createEvent, fireEvent, getConfigurationListeners, isDetailEvents, removeConfigurationListener, setDetailEvents`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemConfiguration

    public SystemConfiguration()

  Create a Configuration based on the system properties.

  See Also:
    `System.getProperties()`

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.